## freehep-vectorgraphics 2.4+dfsg

=== debian/changelog ===
freehep-vectorgraphics (2.4+dfsg-3mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 23 Nov 2021 05:33:03 -0800
